Bug 184595 - Fails with Fascist Build Policy; Built Files not in SPEC
Fails with Fascist Build Policy; Built Files not in SPEC
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: db4 (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jindrich Novy
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-09 22:41 EST by Joseph D. Wagner
Modified: 2013-07-02 19:15 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-15 08:09:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Log of attempted build. (412.88 KB, text/plain)
2006-03-09 22:43 EST, Joseph D. Wagner
no flags Details

  None (edit)
Description Joseph D. Wagner 2006-03-09 22:41:42 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.5; Linux 2.6.15-1.1833_FC4; X11; i686; en_US) KHTML/3.5.1 (like Gecko)

Description of problem:
To catch potential problems with SPEC files, rpmbuild checks if any files are 
in the %RPM_BUILD_ROOT directory that aren't listed in the %files section of 
the SPEC files (a.k.a. The Fascist Build Policy).  rpmbuild for this package 
fails at this check. 

Version-Release number of selected component (if applicable):
db4-4.3.27-3.src.rpm

How reproducible:
Always

Steps to Reproduce:
Simply execute the following command on systems with rpm-build >= 4.4:  
rpmbuild --rebuild db4-4.3.27-3.src.rpm 

Actual Results:  rpmbuild exited with error when it found files built that were not part of the 
package. 

Expected Results:  The package should have been built successfully.    

Additional info:

The Fascist Build Policy cannot be turned off from the command line.
Comment 1 Joseph D. Wagner 2006-03-09 22:43:15 EST
Created attachment 125919 [details]
Log of attempted build.
Comment 2 Jindrich Novy 2006-03-13 11:54:01 EST
Fix for this has been applied.
Comment 3 Fedora Update System 2006-03-14 12:19:45 EST
From User-Agent: XML-RPC

db4-4.3.27-5.fc4 has been pushed for FC4, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.